<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Profile extends Model 
{

    protected $table = 'profiles';
    public $timestamps = true;
    protected $fillable = array('user_id', 'job_title', 'image');

    public function user()
    {
        return $this->belongsTo('App\Models\User');
    }

    public function educations()
    {
        return $this->hasMany('App\Models\Education');
    }

    public function experiences()
    {
        return $this->hasMany('App\Models\Experience');
    }

    public function resumes()
    {
        return $this->hasMany('App\Models\Resume');
    }

    public function portfolio()
    {
        return $this->hasOne('App\Models\Portfolio');
    }

    public function applications()
    {
        return $this->belongsToMany('App\Models\Application');
    }

    public function preference()
    {
        return $this->hasOne('App\Models\Preference');
    }

    public function jobs()
    {
        return $this->belongsToMany('App\Models\Job');
    }

    public function categories()
    {
        return $this->belongsToMany('App\Models\Category');
    }

    public function notifications()
    {
        return $this->belongsToMany('App\Models\Notification');
    }

    public function sentMessages()
    {
        return $this->hasMany('App\Models\Message', 'sender_id');
    }

    public function receivedMessages()
    {
        return $this->hasMany('App\Models\Message', 'receiver_id');
    }

    public function companies()
    {
        return $this->belongsToMany('App\Models\Company');
    }

}